### Method

# FwupdPlugin Device has_instance_id

since: 2.0.4

#### Declaration [src]

    gboolean
    fu_device_has_instance_id (
      FuDevice* self,
      const gchar* instance_id,
      FuDeviceInstanceFlag flags
    )

#### Description [src]

Finds out if the device has this specific instance ID.

NOTE: The instance IDs are only added to the actual base `FwupdDevice` after `fu_device_convert_instance_ids()` has been called — normally as part of `FuDevice->setup()`. This ensures that incorporating a baseclass to a target device with the flag `FU_DEVICE_PRIVATE_FLAG_NO_GENERIC_GUIDS` does not have generic instance IDs added.

Available since: 2.0.4

#### Parameters

`instance_id`

  Type: `const gchar*`

  A instance ID, e.g. `WacomAES`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`flags`

  Type: `FuDeviceInstanceFlag`

  Instance ID flags.

#### Return value

Type: `gboolean`

`TRUE` if the instance ID is found.